require_dependency "blast/tasks/application_controller"

module Blast
  module Admin
    class TasksController < ApplicationController
      before_action :set_task_count, only: :index
      def index
        authorize [:blast, :admin], :index?
        @tasks = Blast::Tasks::Task.all
      end

      private

        def set_task_count
          @contacts_count = Blast::Contacts::Contact.count
          @tasks_count = Blast::Tasks::Task.count
          @users_count = policy_scope(Blast::User).count
        end
    end
  end
end